Fetch Multiple Providers Models
curl --request POST \
--url https://api.example.com/api/models/providers/fetch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[
"<string>"
]'import requests
url = "https://api.example.com/api/models/providers/fetch"
payload = ["<string>"]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify(['<string>'])
};
fetch('https://api.example.com/api/models/providers/fetch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Models
Fetch Multiple Providers Models
Fetch available models from multiple providers at once.
Uses API keys from existing model configurations in the database. This endpoint will use the API keys stored in your configured models to fetch available models from each provider.
POST
/
api
/
models
/
providers
/
fetch
Fetch Multiple Providers Models
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful Response
The response is of type Response Fetch Multiple Providers Models Api Models Providers Fetch Post · object.
⌘I

